Skip to main content
GET
Get Job Log

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the log entry.

Response

Request successful.

id
string | null

The id of the log entry.

timestamp
string<date-time> | null

The time when the log entry has been written.

removalTime
string<date-time> | null

The time after which the log entry should be removed by the History Cleanup job. Default format yyyy-MM-dd'T'HH:mm:ss.SSSZ. For further info see the docs

jobId
string | null

The id of the associated job.

jobDueDate
string<date-time> | null

The date on which the associated job is supposed to be processed.

jobRetries
integer<int32> | null

The number of retries the associated job has left.

jobPriority
integer<int64> | null

The execution priority the job had when the log entry was created.

jobExceptionMessage
string | null

The message of the exception that occurred by executing the associated job.

failedActivityId
string | null

The id of the activity on which the last exception occurred by executing the associated job.

jobDefinitionId
string | null

The id of the job definition on which the associated job was created.

jobDefinitionType
string | null

The job definition type of the associated job. See the User Guide for more information about job definition types.

jobDefinitionConfiguration
string | null

The job definition configuration type of the associated job.

activityId
string | null

The id of the activity on which the associated job was created.

executionId
string | null

The execution id on which the associated job was created.

processInstanceId
string | null

The id of the process instance on which the associated job was created.

processDefinitionId
string | null

The id of the process definition which the associated job belongs to.

processDefinitionKey
string | null

The key of the process definition which the associated job belongs to.

deploymentId
string | null

The id of the deployment which the associated job belongs to.

rootProcessInstanceId
string | null

The process instance id of the root process instance that initiated the process which the associated job belongs to.

tenantId
string | null

The id of the tenant that this historic job log entry belongs to.

hostname
string | null

The name of the host of the Process Engine where the job of this historic job log entry was executed.

batchId
string | null

The ID of the batch associated with this job. null if no batch is associated with this job. The following jobs are associated with batches:

  • Seed Jobs
  • Monitor Jobs
  • Batch Execution Jobs
creationLog
boolean | null

A flag indicating whether this log represents the creation of the associated job.

failureLog
boolean | null

A flag indicating whether this log represents the failed execution of the associated job.

successLog
boolean | null

A flag indicating whether this log represents the successful execution of the associated job.

deletionLog
boolean | null

A flag indicating whether this log represents the deletion of the associated job.